ResourceLinkRef (Tomcat API Documentation)
Keywords: org.apache.naming.ResourceLinkRef class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming
Class ResourceLinkRef

    java.lang.Object
      javax.naming.Reference
          org.apache.naming.ResourceLinkRef

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ResourceLinkRef

extends javax.naming.Reference

Represents a reference address to a resource.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Remy Maucherat
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_FACTORY` Default factory for this reference.
`static java.lang.String` | `GLOBALNAME` Description address type.

Fields inherited from class javax.naming.Reference
`addrs, classFactory, classFactoryLocation, className`

Constructor Summary
`ResourceLinkRef(java.lang.String resourceClass, java.lang.String globalName)` ResourceLink Reference.
`ResourceLinkRef(java.lang.String resourceClass, java.lang.String globalName, java.lang.String factory, java.lang.String factoryLocation)` ResourceLink Reference.

Method Summary
`java.lang.String` | `getFactoryClassName()` Retrieves the class name of the factory of the object to which this reference refers.

Methods inherited from class javax.naming.Reference
`add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_FACTORY

    public static final java.lang.String DEFAULT_FACTORY

  Default factory for this reference.

  See Also:
    Constant Field Values

### GLOBALNAME

    public static final java.lang.String GLOBALNAME

  Description address type.

  See Also:
    Constant Field Values

Constructor Detail

### ResourceLinkRef

    public ResourceLinkRef(java.lang.String resourceClass,
                           java.lang.String globalName)

  ResourceLink Reference.

  Parameters:
    `resourceClass` - Resource class
    `globalName` - Global name

### ResourceLinkRef

    public ResourceLinkRef(java.lang.String resourceClass,
                           java.lang.String globalName,
                           java.lang.String factory,
                           java.lang.String factoryLocation)

  ResourceLink Reference.

  Parameters:
    `resourceClass` - Resource class
    `globalName` - Global name

Method Detail

### getFactoryClassName

    public java.lang.String getFactoryClassName()

  Retrieves the class name of the factory of the object to which this reference refers.

  Overrides:
    `getFactoryClassName` in class `javax.naming.Reference`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.